Summary:       A library for handling different graphics file formats
Name:          netpbm
Version:       10.97.00
Release:       3%{?dist}
License:       BSD and GPLv2 and IJG and MIT and Public Domain
URL:           http://netpbm.sourceforge.net/
# to get source0:
# step 1: svn checkout https://svn.code.sf.net/p/netpbm/code/advanced netpbm-%%{version}
# step 2: svn checkout https://svn.code.sf.net/p/netpbm/code/userguide netpbm-%%{version}/userguide
# step 3: svn checkout https://svn.code.sf.net/p/netpbm/code/trunk/test netpbm-%%{version}/test
# step 4: and removing the .svn directories ( find -name "\.svn" -type d -print0 | xargs -0 rm -rf )
Source0:       netpbm-%{version}.tar.xz

Patch3000:     netpbm-security-scripts.patch
Patch3001:     netpbm-security-code.patch
Patch3002:     netpbm-ppmfadeusage.patch
Patch3003:     netpbm-CVE-2017-2587.patch
Patch3004:     netpbm-python3.patch
Patch3005:     netpbm-time.patch
Patch3006:     netpbm-gcc4.patch
Patch3007:     netpbm-bmptopnm.patch
Patch3008:     netpbm-CAN-2005-2471.patch
Patch3009:     netpbm-xwdfix.patch
Patch3010:     netpbm-multilib.patch
Patch3011:     netpbm-glibc.patch
Patch3012:     netpbm-docfix.patch
Patch3013:     netpbm-cmuwtopbm.patch
Patch3014:     netpbm-pamtojpeg2k.patch
Patch3015:     netpbm-manfix.patch
Patch3016:     netpbm-jasper.patch
Patch3017:     netpbm-libdir-so.patch

BuildRequires: libjpeg-devel libpng-devel libtiff-devel flex gcc jbigkit-devel
BuildRequires: libX11-devel perl-generators python3 jasper-devel libxml2-devel
BuildRequires: perl(Config) perl(Cwd) perl(English) perl(Fcntl) perl(File::Basename) perl(strict)
BuildRequires: ghostscript make

%description
The netpbm package contains a library of functions which support programs for handling various graphics file
formats, including .pbm (portable bitmaps), .pgm (portable graymaps), .pnm (portable anymaps), .ppm (portable
pixmaps) and others.

%package devel
Summary:         Development tools for programs which will use the netpbm libraries
Requires:        netpbm = %{version}-%{release}

%description devel
The netpbm-devel package contains the header files and static libraries, etc., for developing programs which
can handle the various graphics file formats supported by the netpbm libraries.

Install netpbm-devel if you want to develop programs for handling the graphics file formats supported by the
netpbm libraries.  You'll also need to have the netpbm package installed.

%package progs
Summary:         Tools for manipulating graphics files in netpbm supported formats
Requires:        ghostscript
Requires:        netpbm = %{version}-%{release}

%description progs
The netpbm-progs package contains a group of scripts for manipulating the graphics files in formats which are
supported by the netpbm libraries.  For example, netpbm-progs includes the rasttopnm script, which will convert
a Sun rasterfile into a portable anymap.  Netpbm-progs contains many other scripts for converting from one graphics
file format to another.

If you need to use these conversion scripts, you should install netpbm-progs. You'll also need to install the netpbm package.

%prep
%autosetup -n %{name}-%{version} -p1
rm -rf converter/other/jpeg2000/libjasper/
rm -rf converter/other/jbig/libjbig/

%build
./configure <<EOF



















EOF

TOP=`pwd`

make \
    CC="%{__cc}" \
    LDFLAGS="$RPM_LD_FLAGS -L$TOP/pbm -L$TOP/pgm -L$TOP/pnm -L$TOP/ppm" \
    CFLAGS="$RPM_OPT_FLAGS -fPIC -flax-vector-conversions -fno-strict-aliasing" \
    CFLAGS_CONFIG="$RPM_OPT_FLAGS" \
    LADD="-lm" \
    JPEGINC_DIR=%{_includedir} \
    PNGINC_DIR=%{_includedir} \
    TIFFINC_DIR=%{_includedir} \
    JPEGLIB_DIR=%{_libdir} \
    JBIGLIB=%{_libdir}/libjbig.so.2.1 \
    PNGLIB_DIR=%{_libdir} \
    TIFFLIB_DIR=%{_libdir} \
    LINUXSVGALIB="NONE" \
    X11LIB=%{_libdir}/libX11.so \
    XML2LIBS="NONE"

cd userguide
rm -f *.manual-pages
rm -f *.manfix
for i in *.html ; do
  ../buildtools/makeman ${i}
done
for i in 1 3 5 ; do
  mkdir -p man/man${i}
  mv *.${i} man/man${i}
done

%install
make package pkgdir=%{buildroot}/usr LINUXSVGALIB="NONE" XML2LIBS="NONE"

mkdir -p %{buildroot}%{_libdir}
mv %{buildroot}/usr/lib/lib* %{buildroot}%{_libdir}

cp -af lib/libnetpbm.a %{buildroot}%{_libdir}/libnetpbm.a

mkdir -p %{buildroot}%{_datadir}
mv userguide/man %{buildroot}%{_mandir}

rm -f %{buildroot}%{_mandir}/man1/{directory,hpcdtoppm,index,liberror, \
    libnetpbm_dir,picttoppm,ppmsvgalib,ppmtotga,vidtoppm}.1

rm -f %{buildroot}%{_mandir}/man5/extendedopacity.5

mkdir -p %{buildroot}%{_datadir}/netpbm
mv %{buildroot}/usr/misc/*.map %{buildroot}%{_datadir}/netpbm/
mv %{buildroot}/usr/misc/rgb.txt %{buildroot}%{_datadir}/netpbm/
rm -rf %{buildroot}/usr/README
rm -rf %{buildroot}/usr/VERSION
rm -rf %{buildroot}/usr/link
rm -rf %{buildroot}/usr/misc
rm -rf %{buildroot}/usr/man
rm -rf %{buildroot}/usr/pkginfo
rm -rf %{buildroot}/usr/config_template
rm -rf %{buildroot}/usr/pkgconfig_template

rm -f %{buildroot}%{_libdir}/lib*.a

pushd %{buildroot}%{_bindir}
    rm -f pgmtopbm pnmcomp
    ln -s pamcomp pnmcomp
    echo -e '#!/bin/sh\npamditherbw $@ | pamtopnm\n' > pgmtopbm
    chmod 0755 pgmtopbm
popd

%check
pushd test
    export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
    export PBM_TESTPREFIX=%{buildroot}%{_bindir}
    export PBM_BINPREFIX=%{buildroot}%{_bindir}
    ./Execute-Tests && exit 0
popd

%files
%license doc/GPL_LICENSE.txt doc/copyright_summary doc/COPYRIGHT.PATENT
%doc doc/HISTORY README
%{_libdir}/lib*.so.*

%files devel
%dir %{_includedir}/netpbm
%{_includedir}/netpbm/*.h
%{_libdir}/lib*.so
%{_mandir}/man3/*

%files progs
%{_bindir}/*
%{_datadir}/netpbm/
%{_mandir}/man1/*
%{_mandir}/man5/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.97.00-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.97.00-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 1 2023 Shuo Wang <abushwang@tencent.com> - 10.97.00-1
- initial build
